summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoroli2015-06-12 21:57:26 +0200
committeroli2015-06-12 21:57:26 +0200
commit837d0be311a4258a20dfbcf4c3bf7b4014b9bce9 (patch)
tree46a722084909c5f72f84df837689d01d84ae06b3
downloadaur-837d0be311a4258a20dfbcf4c3bf7b4014b9bce9.tar.gz
Initial import
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD27
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..fb85dbeb192
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = jdatestamp
+ pkgdesc = utility to losslessly imprint date/time of a picture taken in a digital camera into its JPEG image
+ pkgver = 1.1
+ pkgrel = 1
+ url = http://sourceforge.net/projects/jdatestamp/
+ arch = i686
+ license = custom
+ depends = libjpeg-droppatch
+ depends = freetype2
+ source = http://sourceforge.net/projects/jdatestamp/files/jdatestamp/1.1/jdatestamp-1.1-src.zip/download
+ md5sums = 45ef6c542acda5785dcb3b8b87e3b47d
+
+pkgname = jdatestamp
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..17af2154a1f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: jose <jose1711 [at] gmail (dot) com>
+
+pkgname=jdatestamp
+pkgver=1.1
+pkgrel=1
+pkgdesc='utility to losslessly imprint date/time of a picture taken in a digital camera into its JPEG image'
+arch=('i686')
+url="http://sourceforge.net/projects/jdatestamp/"
+license=('custom')
+depends=('libjpeg-droppatch' 'freetype2')
+source=(http://sourceforge.net/projects/${pkgname}/files/${pkgname}/${pkgver}/${pkgname}-${pkgver}-src.zip/download)
+md5sums=('45ef6c542acda5785dcb3b8b87e3b47d')
+
+build() {
+cd ${srcdir}/$pkgname-$pkgver-src
+sed -i -e 's/LIBJPEG =.*/LIBJPEG =\/usr/' -e 's/FREETYPE2 =.*/FREETYPE2 =\/usr/' -e '/STATICLIBS/s/-Wl,//' makefile
+make
+}
+
+package() {
+cd ${srcdir}/$pkgname-$pkgver-src
+mkdir -p ${pkgdir}/usr/{share/doc/jdatestamp,bin}
+install -D -m755 ./jdatestamp ${pkgdir}/usr/share/jdatestamp/jdatestamp
+install -D -m644 installFiles/* ${pkgdir}/usr/share/jdatestamp || true
+install -D -m644 installFiles/docs/* ${pkgdir}/usr/share/doc/jdatestamp || true
+ln -s /usr/share/jdatestamp/jdatestamp ${pkgdir}/usr/bin/jdatestamp
+}